Package csb :: Package statmech :: Module wham :: Class WHAM

[frames] | no frames]

# Class WHAM

source code

      object --+
               |
    AbstractWHAM --+
                   |
                  WHAM

Implementation of the original WHAM methods based on histograms.

Nested Classes
Inherited from `AbstractWHAM`: `__metaclass__`

Instance Methods

__init__(self, ensembles, raw_energies, n) x.__init__(...) initializes x; see help(type(x)) for signature | source code

estimate(self, n_bins=100, n_iter=10000, tol=1e-10) Estimate the density of states | source code

float or array

log_z(self, beta=1.0, ensembles=None) Use trapezoidal rule to evaluate the partition function. | source code

Inherited from `AbstractWHAM`: `log_g` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractWHAM`: `free_energies` Inherited from `object`: `__class__`

Method Details

### __init__(self, ensembles, raw_energies, n)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### estimate(self, n_bins=100, n_iter=10000, tol=1e-10)

source code

Estimate the density of states

Overrides: AbstractWHAM.estimate
  (inherited documentation)

### log_z(self, beta=1.0, ensembles=None)

source code

Use trapezoidal rule to evaluate the partition function.

Parameters:
  - `beta` - Inverse Temperature
  - `ensembles` - List of ensembles for which the partition function should be evaluated
Returns: float or array
Overrides: AbstractWHAM.log_z